Page MenuHomePhabricator

introduce script that generates widget hirachy
ClosedPublic

Authored by bu5hm4n on Sep 5 2019, 6:57 AM.

Details

Summary

this scripts generates a .svg with a hirachy like:
https://phab.enlightenment.org/file/data/jtiilbekufvfa77taf5y/PHID-FILE-5iwtamur4qxtktrcwh77/widget_hirachy.png

blue means something is stable, red means, something is beta.

This script requires ete3 to be installed. You can install it via with
pip with: pip install ete3

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Sep 5 2019, 6:57 AM
bu5hm4n requested review of this revision.Sep 5 2019, 6:57 AM
zmike requested changes to this revision.Sep 23 2019, 1:48 PM

this should go in scripts/

This revision now requires changes to proceed.Sep 23 2019, 1:48 PM

@zmike i want to leave it there for now, but i agree that this should be move. Lets get this in like this, and move this together with the "run all examples"-skript to some directory. I also do not want to have it in ./scripts/ as this is the place where the build related meson scripts are, and i do not want to mix those two types of scripts. (Maybe tree-helpers ? or statistics-scripts ?)

bu5hm4n planned changes to this revision.Oct 5 2019, 9:07 AM

This is just broken now. Needs investigation.

bu5hm4n updated this revision to Diff 25908.Oct 6 2019, 12:36 AM

repair from recent eolian breaks

bu5hm4n updated this revision to Diff 25910.Oct 6 2019, 1:15 AM
bu5hm4n edited the summary of this revision. (Show Details)

update commit msg

zmike accepted this revision.Oct 7 2019, 6:10 AM
This revision is now accepted and ready to land.Oct 7 2019, 6:10 AM
Closed by commit rEFL14a6611f2316: introduce script that generates widget hirachy (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyOct 9 2019, 11:02 AM
This revision was automatically updated to reflect the committed changes.